\newcommand{\Rmc}{\ensuremath{\mathcal{R}}\xspace}
\newcommand{\onto}[1]{{\mathcal{#1}}}
\newcommand{\lang}[1]{{\mathfrak{#1}}}
\newcommand{\intp}[1]{{\mathcal{#1}}}
\newcommand{\dla}[1]{{\text{#1}}}
\newcommand{\Cn}{{\operatorname{Cn}}}
\newcommand{\Cnstar}{{\operatorname{Cn^*}}}
\newcommand{\subCn}{{\operatorname{Cn'}}}
\newcommand{\compart}{{\operatorname{cpart}}}
\newcommand{\calO}{{\mathcal{O}}}

\newcommand{\ontoo}{\mathcal{O}}
\newcommand{\llang}{\mathcal{L}}
\newcommand{\I}{\mathcal{I}}

\newcommand{\suchthat}{\mid}
\newcommand{\contractionsymb}{\mathbin{-}}
\newcommand{\contraction}[2]{#1 \contractionsymb #2}
\newcommand{\remaindersymb}{\mathbin\perp}
\newcommand{\remainder}[2]{{#1 \remaindersymb #2}}
\newcommand{\kernelsymb}{\mathbin{\perp\kern-5pt\perp}}
%\newcommand{\kernelsymb}{\protect\mathpalette{\protect\independenT}{\perp}}
\newcommand{\kernel}[2]{{#1 \kernelsymb #2}}
\newcommand{\pkernelsymb}{\protect\mathpalette{\protect\independenT}{\downarrow}}
\newcommand{\premaindersymb}{\mathbin{\downarrow}}
\newcommand{\revisionsymb}{\mathbin\ast}
\newcommand{\revision}[2]{#1 \revisionsymb #2}
\newcommand{\expansionsymb}{+}
\newcommand{\expansion}[2]{{#1 \expansionsymb #2}}
\newcommand{\irevsymb}{\mp}
\newcommand{\irev}[2]{{#1 \irevsymb #2}}
\newcommand{\erevsymb}{\pm}
\newcommand{\erev}[2]{{#1 \erevsymb #2}}
\newcommand{\Just}{{\operatorname{Just}}}
\newcommand{\nmodels}{\mathrel{\cancel{\models}}}
%\renewcommand{\emptyset}{\varnothing}
\newcommand{\itemb}[1]{\item\strong{#1}}
\newcommand{\Rep}{{\operatorname{Rep}}}
\newcommand{\GRep}{{\operatorname{GRep}}}
\newcommand{\MaxNon}{\operatorname{MaxNon}}
\newcommand{\MinImp}{\operatorname{MinImp}}
\newcommand{\MaxNons}{\operatorname{MaxNons}}
\newcommand{\MinImps}{\operatorname{MinImps}}
\newcommand{\KC}{\operatorname{kc}}
\newcommand{\PMC}{\operatorname{pmc}}
\newcommand{\Ex}{\operatorname{rcp}}
\newcommand{\Con}{\operatorname{evc}}
\newcommand{\Rev}{\operatorname{rev}}
\newcommand{\PC}{\operatorname{pc}}
\newcommand{\KPC}{\operatorname{kpc}}
\newcommand{\PMPC}{\operatorname{pmpc}}
\newcommand{\TPPC}{\operatorname{tppc}}
\newcommand{\EKR}{\operatorname{ekr}}
\newcommand{\EPMR}{\operatorname{epmr}}
\newcommand{\IKR}{\operatorname{ikr}}
\newcommand{\IPMR}{\operatorname{ipmr}}
\newcommand{\XR}{\operatorname{xr}}
\newcommand{\KXR}{\operatorname{kxr}}
\newcommand{\f}{{\mathbf{f}}}
\newcommand{\g}{{\mathbf{g}}}
\newcommand{\sig}{{\operatorname{sig}}}
\newcommand{\nat}{{\mathbb{N}}}
\newcommand{\argmax}{\operatorname{arg\,max}}
\newcommand{\argmin}{\operatorname{arg\,min}}
\newcommand{\powerset}{\operatorname{\mathcal{P}}}
\newcommand{\finitepwset}{\operatorname{\powerset_{f}}}
\newcommand{\nepwset}{\operatorname{\powerset^{\ast}}}
\newcommand{\disjunion}{\mathbin{\dot{\cup}}}
\newcommand{\falsum}{{\bot_{falsum}}}
\newcommand{\truth}{{\top}}
\newcommand{\botl}{{\bot}}
\newcommand{\topl}{{\top}}
\newcommand{\botc}{{\bot_{c}}}
\newcommand{\topc}{{\top_{c}}}

\newcommand{\posmodels}{\mathfrak{M}^+}
\newcommand{\negmodels}{\mathfrak{M}^-}
\newcommand{\modelsofsymb}{\operatorname{Mod}}
\newcommand{\modelsof}[1]{\modelsofsymb({#1})}
\newcommand{\modelsofx}[2]{\modelsofsymb_{{#2}}({#1})}
%\newcommand{\basesofsymb}{\operatorname{base}}
%\newcommand{\basesof}[1]{\baseofsymb({#1})}

\newcommand{\ordequiv}{\mathord{\equiv}}
\newcommand{\FRsups}{{\operatorname{MinFRSups}}}
\newcommand{\FRsubs}{{\operatorname{MaxFRSubs}}}
\newcommand{\nb}[1]{\textcolor{red}{$|$}\mbox{}\marginpar{\scriptsize\raggedright\textcolor{red}{#1}}}
\newcommand{\mSet}{\mathbb{M}}
\newcommand{\mUni}{\mathfrak{M}}
\newcommand{\ftypes}[1]{\operatorname{ft}({#1})}
\newcommand{\ctypes}[1]{\operatorname{ct}({#1})}
\newcommand{\qmOf}[2]{\operatorname{qm}({#1}, {#2})}
\newcommand{\langlit}[1]{{\llang_{lit}({#1})}}
\newcommand{\baseb}{{\mathcal{B}}}
\newcommand{\FRsets}{{\operatorname{FR}}}
\newcommand{\iCon}{\operatorname{iCon}}
\newcommand{\iExp}{\operatorname{iExp}}
\newcommand{\txtideal}{{ideal}}
\newcommand{\stcite}[1]{\citeauthor{#1}~\cite{#1}}
\newcommand{\eqclass}[2]{{[{#1}]^{#2}}}
\newcommand{\oCon}{\Con}
\newcommand{\gCon}{\Con^{*}}
\newcommand{\oExp}{\Ex}
\newcommand{\gExp}{\Ex^{*}}
%\newcommand{\liteqc}[2]{{\eqclass{#1}{\langlit{#2}}}}
\newcommand{\liteqc}[2]{{\eqclass{#1}{\alcformula}}}
\newcommand{\mcondiff}{{\modelsof{\alcformula} \setminus \cup_{M \in \mSet}\liteqc{M}{\alcformula}}}
\newcommand{\mconstd}{{\modelsof{\oCon(\alcformula, \mSet)}}}
\newcommand{\mexuni}{{\modelsof{\alcformula} \cup U}}
\newcommand{\mexstd}{{\modelsof{\oExp(\alcformula, \mSet)}}}
%\newcommand{\qfilter}{\operatorname{qf}}
\newcommand{\qfilter}{\operatorname{\mu}}
\newcommand{\qcleaner}{\operatorname{\nu}}

\newcommand{\equivlit}{\equiv^{\alcformula}}

\newcommand{\logsys}{{\Lambda}}
\newcommand{\Evc}{{\operatorname{evc}}}
\newcommand{\Rcp}{{\operatorname{rcp}}}
\newcommand{\mCon}{{\Evc}}
\newcommand{\gmCon}{{\operatorname{evc^{*}}}}
\newcommand{\mExp}{{\Rcp}}
\newcommand{\gmExp}{{\operatorname{rcp^{*}}}}
\newcommand{\msel}{{\operatorname{s}}}
\newcommand{\FRsel}{{\operatorname{sel}}}
\newcommand{\modelm}{{M}}
\newcommand{\baseofsymb}{{\mathfrak{B}}}
\newcommand{\baseof}[1]{{\baseofsymb(#1)}} %chktex 36
\newcommand{\propatoms}{\mathtt{At}}
\newcommand{\vtrue}{{\text{T}}}
\newcommand{\vfalse}{{\text{F}}}
\newcommand{\vunk}{{\text{U}}}

\newcommand{\ALC}{\mathcal{ALC}}
\newcommand{\logsysprop}{\logsys({\text{Prop}})}
\newcommand{\logsyshorn}{\logsys({\text{Horn}})}
\newcommand{\llangprop}{{\llang_{\text{Prop}}}}
\newcommand{\llanghorn}{{\llang_{\text{Horn}}}}
\newcommand{\mUniprop}{{\mUni_{\text{Prop}}}}
\newcommand{\evcprop}{\Evc_{\text{Prop}}}
\newcommand{\rcpprop}{\Rcp_{\text{Prop}}}
\newcommand{\logsysALCf}{\logsys({\ALCfo})}
\newcommand{\logsysALC}{\logsys({\ALC{}})}
\newcommand{\logsysDLABox}{\logsys({\text{ABox}})}
\newcommand{\logsysDLLITE}{\logsys({\text{DL-Lite}_{\Rmc}})}
\newcommand{\logsyskleene}{{\logsys(\text{K3})}}
\newcommand{\logsyspriest}{{\logsys(\text{P3})}}
\newcommand{\mUniKleene}{\mUni_{3}}
\newcommand{\mUniPiest}{\mUni_{3}}

\newcommand{\logsysfuzzy}{{\logsys(\text{Gödel}, \theta)}}
\newcommand{\llangfuzzy}{{\llang_\text{G}}}
\newcommand{\mUnifuzzy}{{\mUni_G}}
\newcommand{\modelsfuzzy}{{\models_G^\theta}}

\newcommand{\logsysltlx}{{\logsys(\text{LTL\textsubscript{X}})}}
\newcommand{\llangltlx}{{\llang_X}}
\newcommand{\mUniltlx}{{\mUni_X}}
\newcommand{\modelsltlx}{{\models_X}}
\newcommand{\rcpx}{\Rcp_{X}}

\newcommand{\mconnm}{eviction}
\newcommand{\mexnm}{reception}
\newcommand{\mrevnm}{assimilation}

\newcommand{\Mconnm}{Eviction}
\newcommand{\Mexnm}{Reception}
\newcommand{\Mrevnm}{Assimilation}

\newcommand{\frselnm}{FR selection function}

\newcommand{\ft}{\operatorname{ft}}

\newcommand{\alcformula}{\ensuremath{\varphi}\xspace}
\newcommand{\model}{\ensuremath{M}\xspace}


\newcommand{\hmoda}{{\bar{p}\bar{q}}}
\newcommand{\hmodb}{{\bar{p}q}}
\newcommand{\hmodc}{{p\bar{q}}}
\newcommand{\hmodd}{{pq}}


\newcommand{\NC}{\ensuremath{{\sf N_C}}\xspace}
\newcommand{\NR}{\ensuremath{{\sf N_R}}\xspace}
\newcommand{\NI}{\ensuremath{{\sf N_I}}\xspace}
